Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXComboBox.ComboBoxAdapter

    java.lang.Object
      org.jdesktop.swingx.decorator.ComponentAdapter
          org.jdesktop.swingx.JXComboBox.ComboBoxAdapter

Enclosing class:
  JXComboBox

    protected static class JXComboBox.ComboBoxAdapter

extends ComponentAdapter

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.ComponentAdapter
`column, DEFAULT_COLUMN_IDENTIFIER, row, target`

Constructor Summary
`JXComboBox.ComboBoxAdapter(javax.swing.JComboBox component)` Constructs a `ListAdapter` for the specified target JXList.

Method Summary
`java.awt.Rectangle` | `getCellBounds()` Returns the bounds of the cell identified by this adapter.
`javax.swing.JComboBox` | `getComboBox()` Typesafe accessor for the target component.
`int` | `getRowCount()` Returns the number of rows in the target's data model.
`java.lang.String` | `getStringAt(int row, int column)` Returns the String representation of the value of the cell identified by the row specified row and column in model coordinates.
`java.lang.Object` | `getValueAt(int row, int column)` Returns the value of the target component's cell identified by the specified row and column in model coordinates.
`boolean` | `hasFocus()` Returns true if the cell identified by this adapter currently has focus.
`boolean` | `isCellEditable(int row, int column)` Determines whether this cell is editable.
`boolean` | `isEditable()` Returns `true` if the cell identified by this adapter is editable, `false` otherwise.
`boolean` | `isSelected()` Returns true if the cell identified by this adapter is currently selected.

Methods inherited from class org.jdesktop.swingx.decorator.ComponentAdapter
`convertColumnIndexToModel, convertColumnIndexToView, convertRowIndexToModel, convertRowIndexToView, getColumnCount, getColumnIdentifierAt, getColumnIndex, getColumnName, getComponent, getDepth, getFilteredStringAt, getFilteredValueAt, getString, getString, getValue, getValue, isExpanded, isHierarchical, isLeaf, isTestable, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXComboBox.ComboBoxAdapter

    public JXComboBox.ComboBoxAdapter(javax.swing.JComboBox component)

  Constructs a `ListAdapter` for the specified target JXList.

  Parameters:
    `component` - the target list.

Method Detail

### getComboBox

    public javax.swing.JComboBox getComboBox()

  Typesafe accessor for the target component.

  Returns:
    the target component as a `JXComboBox`

### hasFocus

    public boolean hasFocus()

  Returns true if the cell identified by this adapter currently has focus. Otherwise, it returns false.

  Specified by:
    `hasFocus` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter currently has focus; Otherwise, return false

### getRowCount

    public int getRowCount()

  Returns the number of rows in the target's data model.

  Overrides:
    `getRowCount` in class `ComponentAdapter`
  Returns:
    the number of rows in the target's data model.

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Returns the value of the target component's cell identified by the specified row and column in model coordinates.

  Specified by:
    `getValueAt` in class `ComponentAdapter`
  Parameters:
    `row` - in model coordinates
    `column` - in model coordinates
  Returns:
    the value of the target component's cell identified by the specified row and column

### getStringAt

    public java.lang.String getStringAt(int row,
                                        int column)

  Returns the String representation of the value of the cell identified by the row specified row and column in model coordinates.

  This implementation messages the StringValue.TO_STRING with the valueAt, subclasses should re-implement and use the api appropriate for the target component type.

  This is implemented to query the table's StringValueRegistry for an appropriate StringValue and use that for getting the string representation.

  Overrides:
    `getStringAt` in class `ComponentAdapter`
  Parameters:
    `row` - in model coordinates
    `column` - in model coordinates
  Returns:
    the value of the target component's cell identified by the specified row and column

### getCellBounds

    public java.awt.Rectangle getCellBounds()

  Returns the bounds of the cell identified by this adapter.

  Overrides:
    `getCellBounds` in class `ComponentAdapter`
  Returns:
    the bounds of the cell identified by this adapter

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Determines whether this cell is editable.

  Specified by:
    `isCellEditable` in class `ComponentAdapter`
  Parameters:
    `row` - the row to query in model coordinates
    `column` - the column to query in model coordinates
  Returns:
    `true` if the cell is editable, `false` otherwise

### isEditable

    public boolean isEditable()

  Returns `true` if the cell identified by this adapter is editable, `false` otherwise.

  Specified by:
    `isEditable` in class `ComponentAdapter`
  Returns:
    `true` if the cell is editable, `false` otherwise

### isSelected

    public boolean isSelected()

  Returns true if the cell identified by this adapter is currently selected. Otherwise, it returns false.

  Specified by:
    `isSelected` in class `ComponentAdapter`
  Returns:
    true if the cell identified by this adapter is currently selected; Otherwise, return false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.